#if !USE_CUSTOM_VSTRING_SCRIPT
namespace Giant.Common
{
    public class X2StringUtil
    {
        /// <summary>
        /// For append number to string
        /// </summary>
        public static readonly char[] sNumerialChars = new char[] { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9' };



        /// <summary>
        /// Gets the digital lenth of integer value
        /// </summary>
        /// <param name="value">The value for counting</param>
        /// <returns>Return the number of digital</returns>
        public static int GetIntLength(uint value)
        {
            int tCount = 1;
            value = value / 10;
            while (value >= 10)
            {
                tCount++;
                value = value / 10;
            }
            if (value > 0)
                tCount++;
            return tCount;
        }



        /// <summary>
        /// Convert a char to lower-case
        /// </summary>

        public static char ToLower(char _Char)
        {
            if ('A' <= _Char && _Char <= 'Z')
                _Char = (char)(_Char | 0x20);
            return _Char;
        }
    }
}
#endif